Warning: This component will be deprecated in the future in favour of a spec compliant ai-sortable-list-item component

### Hierarchy

- SortableListItemComponent

## Index

### Inputs

- checked
- disabled
- dragActive

### Outputs

- dragEnd
- dragStart
- move

### Constructors

- constructor

### Properties

- checked
- disabled
- dragActive
- dragEnd
- dragStart
- elementRef
- move

## Constructors

### constructor

- new SortableListItemComponent(elementRef: ElementRef<any>): SortableListItemComponent

- - Defined in packages/angular/src/toolkit/sortable-list/sortable-list-item.component.ts:65

  #### Parameters

  - ##### elementRef: ElementRef<any>

  #### Returns SortableListItemComponent

## Properties

### checked

@Input()
checked: boolean = true

- Defined in packages/angular/src/toolkit/sortable-list/sortable-list-item.component.ts:55

### disabled

@Input()
disabled: boolean = false

- Defined in packages/angular/src/toolkit/sortable-list/sortable-list-item.component.ts:57

### dragActive

@Input()
dragActive: boolean = false

- Defined in packages/angular/src/toolkit/sortable-list/sortable-list-item.component.ts:59

### dragEnd

@Output()
dragEnd: EventEmitter<any> = ...

- Defined in packages/angular/src/toolkit/sortable-list/sortable-list-item.component.ts:63

### dragStart

@Output()
dragStart: EventEmitter<any> = ...

- Defined in packages/angular/src/toolkit/sortable-list/sortable-list-item.component.ts:61

### elementRef

elementRef: ElementRef<any>

### move

@Output()
move: EventEmitter<"up" | "down"> = ...

- Defined in packages/angular/src/toolkit/sortable-list/sortable-list-item.component.ts:65

Generated using TypeDoc